import express, { Express } from 'express';
import { TablesConfig, Cobbler, Record } from './cobbler';
import { RequestMethod } from './cobbler-api';
import { Config } from './cobbler-serve';
export declare class CobblerHandler {
    initExpress(app: Express): void;
    beforeInit(tables: TablesConfig): void;
    afterInit(cobbler: Cobbler): void;
    beforeRoute(method: RequestMethod, pathInfo: string[], req: express.Request, res: express.Response): boolean;
    afterRoute(method: RequestMethod, pathInfo: string[], req: express.Request, res: express.Response): void;
    beforeInsert(name: string, records: Record[], record: Record): boolean;
    afterInsert(name: string, records: Record[], record: Record, saved: Record): void;
    beforeUpdate(name: string, records: Record[], record: Record): boolean;
    afterUpdate(name: string, records: Record[], record: Record, saved: Record): void;
    beforeRemove(name: string, records: Record[], record: Record): boolean;
    afterRemove(name: string, records: Record[], record: Record): void;
    filter(name: string, record: Record, parms: any): boolean;
    config?: Config;
}
